Connectors
Stores, sources and destinations.
11 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the connectors
/api/v1/account/organizations/{id}/connectors
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
typestring requiredConnector kind.Allowed: source, destination, store -
offsetintegerNumber of items to skip.Default: 0 -
limitintegerMaximum number of items to return.Default: 50 Min: 1 Max: 50 -
searchstringFree-text search on connectors. -
residencystringOnly connectors in this country. -
inventory_idstring<uuid>Only connectors of this inventory. -
without_residencybooleanOnly connectors without a residency. Not combinable with residency.Default: false -
exclude_lockedbooleanExclude locked connectors.Default: false
Response 200 OK application/json
-
itemsarray[object]-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
aws_configurationobject-
access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
coverageobject-
excludedinteger -
protectedinteger -
unprotectedinteger
-
-
gcp_configurationobject-
gcp_project_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
idstring<uuid> -
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
last_updatestring<date-time> -
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
residencystring nullable -
scaleway_configurationobject-
scw_access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
summariesarray[object]-
classstring -
countinteger -
namestring
-
-
typestring -
vmware_configurationobject-
vsphere_passwordobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
-
-
totalinteger
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/connectors' \
-H 'Authorization: Bearer <badge>'Response 200
{
"items": [
{
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"aws_configuration": {
"access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"coverage": {
"excluded": 0,
"protected": 0,
"unprotected": 0
},
"gcp_configuration": {
"gcp_project_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"last_update": "2026-01-01T00:00:00Z",
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"residency": "string",
"scaleway_configuration": {
"scw_access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"summaries": [
{
"class": "string",
"count": 0,
"name": "string"
}
],
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
],
"total": 0
}Create a connector
/api/v1/account/organizations/{id}/connectors
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
data_classesarray[string] -
endpointsarray[object]-
endpointstring
-
-
environmentstring -
fieldsmap[object] required-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring required -
protocolstring required -
temperaturestring nullable -
typestring required -
urn_idstring<uuid>
Response 200 OK application/json
-
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
temperaturestring nullable -
typestring -
urn_idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/connectors' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"protocol": "string",
"temperature": "string",
"type": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}'Response 200
{
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"temperature": "string",
"type": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Create a connector from a form
/api/v1/account/organizations/{id}/connectors/form
Path parameters
-
idstring required
Request body application/json required
-
configurationmap[any] required -
data_classesarray[string] -
endpointsarray[object]-
endpointstring
-
-
environmentstring -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring required -
protocolstring required -
temperaturestring nullable -
typestring required -
urn_idstring<uuid>
Response 200 OK application/json
-
configurationmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
urn_idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/connectors/form' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"configuration": {
"key": {}
},
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"protocol": "string",
"temperature": "string",
"type": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}'Response 200
{
"configuration": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Get a connector
/api/v1/connectors/{connector_id}
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
aws_configurationobject-
access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
coverageobject-
excludedinteger -
protectedinteger -
unprotectedinteger
-
-
gcp_configurationobject-
gcp_project_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
idstring<uuid> -
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
last_updatestring<date-time> -
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
residencystring nullable -
scaleway_configurationobject-
scw_access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
summariesarray[object]-
classstring -
countinteger -
namestring
-
-
typestring -
vmware_configurationobject-
vsphere_passwordobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
temperaturestring nullable -
typestring -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/connectors/{connector_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"aws_configuration": {
"access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"coverage": {
"excluded": 0,
"protected": 0,
"unprotected": 0
},
"gcp_configuration": {
"gcp_project_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"last_update": "2026-01-01T00:00:00Z",
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"residency": "string",
"scaleway_configuration": {
"scw_access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"summaries": [
{
"class": "string",
"count": 0,
"name": "string"
}
],
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Update a connector
/api/v1/connectors/{connector_id}
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
data_classesarray[string] -
endpointsarray[object]-
endpointstring
-
-
environmentstring -
fieldsmap[object] required-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring required -
protocolstring required -
temperaturestring nullable -
typestring required -
urn_idstring<uuid>
Response 200 OK application/json
-
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
fieldsmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
temperaturestring nullable -
typestring -
urn_idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/connectors/{connector_id}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"protocol": "string",
"temperature": "string",
"type": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}'Response 200
{
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"temperature": "string",
"type": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Delete a connector
/api/v1/connectors/{connector_id}
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/connectors/{connector_id}' \
-H 'Authorization: Bearer <badge>'Response 200
{}List what the caller may do on a connector
/api/v1/connectors/{connector_id}/capabilities
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
actionsarray[string] -
idstring<uuid> -
resourcestring
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/connectors/{connector_id}/capabilities' \
-H 'Authorization: Bearer <badge>'Response 200
{
"actions": [
"string"
],
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"resource": "string"
}Get a connector as form data
/api/v1/connectors/{connector_id}/form
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
configurationmap[any] -
created_atstring<date-time> -
data_classesarray[string] nullable -
endpointsarray[object]-
endpointstring
-
-
environmentstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
inventoryobject nullable-
accessobject-
can_authorboolean -
can_deleteboolean -
can_executeboolean -
can_viewboolean
-
-
aws_configurationobject-
access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
credentials_typestring -
regionstring -
secret_access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
coverageobject-
excludedinteger -
protectedinteger -
unprotectedinteger
-
-
gcp_configurationobject-
gcp_project_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
gcp_service_account_jsonobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
idstring<uuid> -
k8s_configurationobject-
k8s_filter_namespacesstring -
k8s_kubeconfobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
last_updatestring<date-time> -
namestring -
openshift_configurationobject-
openshift_filter_namespacesstring -
openshift_kubeconfobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
openstack_configurationobject-
openstack_application_credential_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_application_credential_secretobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_auth_urlstring -
openstack_domain_namestring -
openstack_passwordobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
openstack_project_idstring -
openstack_project_namestring -
openstack_regionstring -
openstack_usernameobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
ovh_configurationobject-
application_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
application_secretobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
consumer_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
endpointstring
-
-
residencystring nullable -
scaleway_configurationobject-
scw_access_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_project_idobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
scw_secret_keyobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
summariesarray[object]-
classstring -
countinteger -
namestring
-
-
typestring -
vmware_configurationobject-
vsphere_passwordobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_serverobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_ca_bundleobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
vsphere_tls_skip_verifystring -
vsphere_usernameobject-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
-
-
last_checkstring<date-time> nullable -
namestring -
protocolstring -
resourceobject nullable-
classstring -
configured_connectorsarray[object]-
country_detectedstring nullable -
idstring<uuid> -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring -
residencystring nullable -
typestring
-
-
country_detectedstring nullable -
coverage_statusstring -
excluded_from_coverageboolean -
idstring<uuid> -
inventory_idstring<uuid> -
inventory_namestring -
inventory_typestring -
lockedboolean -
namestring -
residencystring nullable -
servicestring -
subclassstring -
tagsarray[string] -
urnstring -
urn_idstring<uuid>
-
-
revisioninteger -
rootstring -
schemaobject-
bundle_fieldsmap[object] nullable-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
initialmap[any] -
schemamap[any] -
schemestring
-
-
temperaturestring nullable -
typestring -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/connectors/{connector_id}/form' \
-H 'Authorization: Bearer <badge>'Response 200
{
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"configuration": {
"key": {}
},
"created_at": "2026-01-01T00:00:00Z",
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"inventory": {
"access": {
"can_author": true,
"can_delete": true,
"can_execute": true,
"can_view": true
},
"aws_configuration": {
"access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"credentials_type": "string",
"region": "string",
"secret_access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"coverage": {
"excluded": 0,
"protected": 0,
"unprotected": 0
},
"gcp_configuration": {
"gcp_project_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"gcp_service_account_json": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"k8s_configuration": {
"k8s_filter_namespaces": "string",
"k8s_kubeconf": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"last_update": "2026-01-01T00:00:00Z",
"name": "string",
"openshift_configuration": {
"openshift_filter_namespaces": "string",
"openshift_kubeconf": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"openstack_configuration": {
"openstack_application_credential_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_application_credential_secret": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_auth_url": "string",
"openstack_domain_name": "string",
"openstack_password": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"openstack_project_id": "string",
"openstack_project_name": "string",
"openstack_region": "string",
"openstack_username": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"ovh_configuration": {
"application_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"application_secret": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"consumer_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"endpoint": "string"
},
"residency": "string",
"scaleway_configuration": {
"scw_access_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_project_id": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"scw_secret_key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"summaries": [
{
"class": "string",
"count": 0,
"name": "string"
}
],
"type": "string",
"vmware_configuration": {
"vsphere_password": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_server": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_ca_bundle": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
},
"vsphere_tls_skip_verify": "string",
"vsphere_username": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
}
},
"last_check": "2026-01-01T00:00:00Z",
"name": "string",
"protocol": "string",
"resource": {
"class": "string",
"configured_connectors": [
{
"country_detected": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"residency": "string",
"type": "string"
}
],
"country_detected": "string",
"coverage_status": "string",
"excluded_from_coverage": true,
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"inventory_name": "string",
"inventory_type": "string",
"locked": true,
"name": "string",
"residency": "string",
"service": "string",
"subclass": "string",
"tags": [
"string"
],
"urn": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"revision": 0,
"root": "string",
"schema": {
"bundle_fields": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"initial": {
"key": {}
},
"schema": {
"key": {}
},
"scheme": "string"
},
"temperature": "string",
"type": "string",
"updated_at": "2026-01-01T00:00:00Z"
}Update a connector from a form
/api/v1/connectors/{connector_id}/form
Path parameters
-
connector_idstring required
Request body application/json required
-
configurationmap[any] required -
data_classesarray[string] -
endpointsarray[object]-
endpointstring
-
-
environmentstring -
integrationobject-
created_atstring<date-time> -
fieldsmap[array[object]] nullable -
idstring<uuid> -
namestring nullable -
protocolsarray[string] nullable -
supportsarray[string] nullable -
updated_atstring<date-time> -
versionstring nullable
-
-
namestring required -
protocolstring required -
temperaturestring nullable -
typestring required -
urn_idstring<uuid>
Response 200 OK application/json
-
configurationmap[object]-
providerobject nullable-
idstring<uuid>
-
-
valuestring
-
-
idstring<uuid> -
urn_idstring<uuid>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/connectors/{connector_id}/form' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"configuration": {
"key": {}
},
"data_classes": [
"string"
],
"endpoints": [
{
"endpoint": "string"
}
],
"environment": "string",
"integration": {
"created_at": "2026-01-01T00:00:00Z",
"fields": {
"key": [
{
"default": "string",
"description": "string",
"display_name": "string",
"enum": [
"string"
],
"inventory_value": "string",
"name": "string",
"pattern": "string",
"required": true,
"sensitive": true,
"type": "string"
}
]
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"name": "string",
"protocols": [
"string"
],
"supports": [
"string"
],
"updated_at": "2026-01-01T00:00:00Z",
"version": "string"
},
"name": "string",
"protocol": "string",
"temperature": "string",
"type": "string",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}'Response 200
{
"configuration": {
"key": {
"provider": {
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
},
"value": "string"
}
},
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"urn_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90"
}Create the store behind a connector
/api/v1/connectors/{connector_id}/stores/create
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Request body application/json required
-
compressionstring nullable
Response 200 OK application/json
-
errorstring nullable -
okboolean
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/connectors/{connector_id}/stores/create' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"compression": "string"
}'Response 200
{
"error": "string",
"ok": true
}Test a connector
/api/v1/connectors/{connector_id}/test
Path parameters
-
connector_idstring required
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s.
Response 200 OK application/json
-
errorstring nullable -
okboolean
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/connectors/{connector_id}/test' \
-H 'Authorization: Bearer <badge>'Response 200
{
"error": "string",
"ok": true
}